#
# TODO: files (docs and some translations)
#
# Conditional build:
%bcond_without	cairo	# build with cairo support
%bcond_without	cups	# build without CUPS support
#
Summary:	Scribus - Open Source Desktop Publishing
Summary(pl.UTF-8):	Scribus - DTP dla Wolnego Oprogramowania
Name:		scribus
Version:	1.4.4
Release:	2
License:	GPL v2+
Group:		X11/Applications/Publishing
Source0:	http://downloads.sourceforge.net/scribus/%{name}-%{version}.tar.xz
# Source0-md5:	a5714ee53074d4b8b77b59612f5e27a8
Source1:	%{name}.desktop
Patch1:		%{name}-standard-font-paths.patch
Patch2:		%{name}-docs.patch
Patch3:		%{name}-sparc.patch
URL:		http://www.scribus.net/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtXml-devel
%{?with_cairo:BuildRequires:	cairo-devel >= 1.2.0}
BuildRequires:	cmake >= 2.4.5
%if %{with cups}
BuildRequires:	cups-devel
%else
BuildConflicts:	cups-devel
%endif
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	lcms-devel >= 1.09
%{!?with_cairo:BuildRequires:	libart_lgpl-devel >= 2.3.14}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	podofo-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.577
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires:	desktop-file-utils
Requires:	python-PIL
Requires:	python-tkinter
Requires:	shared-mime-info
Obsoletes:	scribus-scripting
Obsoletes:	scribus-short-words
Obsoletes:	scribus-svg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
Scribus is an open source desktop page layout program with the aim of
producing commerical grade output in PDF and Postscript, primarily,
though not exclusively for Linux(R).

%description -l pl.UTF-8
Scribus jest to program do tworzenia publikacji z założenia generujący
dokumenty PDF oraz Postscript nadające się do użytku komercyjnego,
przeznaczony głównie, lecz nie tylko, dla systemu Linux(R).

%package devel
Summary:	Header files for Scribus plugins development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek Scribusa
Group:		Development/Libraries
# currently it doesn't require base
Requires:	qt-devel

%description devel
Header files for Scribus plugins development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek Scribusa.

%package docs
Summary:	Documentation for Scribus
Summary(pl.UTF-8):	Dokumentacja dla Scribusa
License:	custom OPL (see License),FDL
Group:		X11/Applications/Publishing

%description docs
User documentation for Scribus.

%description docs -l pl.UTF-8
Dokumentacja użytkownika dla Scribusa.

%package icc
Summary:	ICC profiles for Scribus
Summary(pl.UTF-8):	Profile ICC dla Scribusa
License:	freely distributable
Group:		X11/Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description icc
Some standard ICM CMYK and RGB profiles for use with Scribus. You
should take care to use custom ones!

%description icc -l pl.UTF-8
Standardowe profile ICM w formacie CMYK i RGB do użycia w Scribusie.
Zalecane jest używanie własnych profili zamiast nich!

%package templates-base
Summary:	Default document templates
Summary(pl.UTF-8):	Domyślne szablony dokumentów
License:	GPL v2
Group:		X11/Applications/Publishing
Requires:	%{name} = %{version}-%{release}
Obsoletes:	scribus-templates < 1.2.1

%description templates-base
Default document templates shipped with Scribus.

%description templates-base -l pl.UTF-8
Domyślne szablony dokumentów dostarczane wraz ze Scribusem.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export QTDIR=%{_prefix}
export KDEDIR=%{_prefix}

%cmake . \
	-DASPELL_EXECUTABLE=%{_bindir}/aspell \
%if %{with cairo}
	-DWANT_CAIRO=1
%else
	-DWANT_LIBART=1
%endif

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/scribus.png $RPM_BUILD_ROOT%{_pixmapsdir}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/translations/%{name}.lt_LT.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/translations/%{name}.lt.qm

%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/{AUTHORS,BUILDING,COPYING,ChangeLog,ChangeLogSVN,NEWS,PACKAGING,README,TODO}

# currently not used, -devel subpackage?
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database

%postun
%update_desktop_database_postun
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog ChangeLogSVN NEWS README
%attr(755,root,root) %{_bindir}/scribus
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/import.prolog
%{_datadir}/%{name}/unicodenameslist.txt
# don't mark dictionaries with lang() --misiek
%{_datadir}/%{name}/dicts
%{_datadir}/%{name}/editorconfig
%{_datadir}/%{name}/keysets
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so*
%dir %{_libdir}/%{name}/plugins/gettext
%attr(755,root,root) %{_libdir}/%{name}/plugins/gettext/*.so*
%dir %{_datadir}/%{name}/profiles
%dir %{_datadir}/%{name}/translations
%{_datadir}/%%{name}/translations/scribus*.qm
%dir %{_datadir}/%{name}/swatches
%{_datadir}/%{name}/swatches/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dtd
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/loremipsum
%{_datadir}/mime/packages/scribus.xml
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/*
%dir %{_datadir}/%{name}/samples
%{_datadir}/%{name}/samples/*.py
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/scripts/*
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%lang(de) %{_mandir}/de/man1/%{name}.1*
%lang(pl) %{_mandir}/pl/man1/%{name}.1*
%{_pixmapsdir}/%{name}.png
%{_datadir}/mimelnk/application/vnd.scribus.desktop

#%files devel
#%defattr(644,root,root,755)
#%{_includedir}/scribus

%files docs
%defattr(644,root,root,755)
%dir %{_datadir}/%{name}/doc
%{_datadir}/%{name}/doc/*
##%dir %{_datadir}/%{name}/doc/en
##%{_datadir}/%{name}/doc/en/*
##%dir %{_datadir}/%{name}/doc/it
##%{_datadir}/%{name}/doc/it/*
#%%lang(cs) %dir %{_datadir}/%{name}/doc/cs
#%%lang(cs) %dir %{_datadir}/%{name}/doc/cs/tutorials
#%%lang(cs) %dir %{_datadir}/%{name}/doc/cs/tutorials/scribus-short-words
#%%lang(cs) %{_datadir}/%{name}/doc/cs/tutorials/scribus-short-words/*
#%%lang(de) %dir %{_datadir}/%{name}/doc/de
#%%lang(de) %{_datadir}/%{name}/doc/de/*
#%%lang(fr) %dir %{_datadir}/%{name}/doc/fr
#%%lang(fr) %{_datadir}/%{name}/doc/fr/*.*ml
#%%lang(fr) %dir %{_datadir}/%{name}/doc/fr/tutorials
#%%lang(fr) %dir %{_datadir}/%{name}/doc/fr/tutorials/scribus-short-words
#%%lang(fr) %{_datadir}/%{name}/doc/fr/tutorials/scribus-short-words/*
#%%lang(pl) %dir %{_datadir}/%{name}/doc/pl
#%%lang(pl) %dir %{_datadir}/%{name}/doc/pl/tutorials
#%%lang(pl) %dir %{_datadir}/%{name}/doc/pl/tutorials/scribus-short-words
#%%lang(pl) %{_datadir}/%{name}/doc/pl/tutorials/scribus-short-words/*

%files icc
%defattr(644,root,root,755)
%{_datadir}/scribus/profiles/*

%files templates-base
%defattr(644,root,root,755)
%dir %{_datadir}/%{name}/templates
%{_datadir}/%{name}/templates/*.xml
%dir %{_datadir}/%{name}/templates/br1
%{_datadir}/%{name}/templates/br1/*
%dir %{_datadir}/%{name}/templates/nl1
%{_datadir}/%{name}/templates/nl1/*
#%%dir %{_datadir}/%{name}/templates/sc_presentation
#%%{_datadir}/%{name}/templates/sc_presentation/*
%dir %{_datadir}/%{name}/templates/textbased
%{_datadir}/%{name}/templates/textbased/*
%dir %{_datadir}/%{name}/templates/buscard*
%{_datadir}/%{name}/templates/buscard*/*
%dir %{_datadir}/%{name}/templates/cover*
%{_datadir}/%{name}/templates/cover*/*
%dir %{_datadir}/%{name}/templates/grid_*
%{_datadir}/%{name}/templates/grid_*/*
%dir %{_datadir}/%{name}/templates/cc
%{_datadir}/%{name}/templates/cc/*
%dir %{_datadir}/%{name}/templates/mc
%{_datadir}/%{name}/templates/mc/*
%dir %{_datadir}/%{name}/templates/pres_backgr*
%{_datadir}/%{name}/templates/pres_backgr*/*

%if 0
  /usr/lib/scribus/import_la.prolog
   /usr/share/scribus/scripts/ChangeLog
   /usr/share/scribus/scripts/NEWS
   /usr/share/scribus/scripts/ReadMe
   /usr/share/scribus/scripts/TODO
   /usr/share/scribus/unicodenameslist.txt
%endif
%changelog
* Sat Sep 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/scribus.git;a=log;h=master

* Sat Sep 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2575170
- release 2 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 86cf9cc
- fixed install

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 9dfac7a
- up to 1.4.4

* Sat Mar 09 2013 Tomasz Pala <gotar@pld-linux.org> c277322
- unbreak original desktop file location from CVS rev. 1.154
%{_datadir}/mime contains xml files only

* Tue May 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d45821e
- up to 1.4.1

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0877d2e
- rel 1

* Tue Jan 03 2012 cieciwa <cieciwa@pld-linux.org> 037ff8b
- updated to version 1.4.0,
- release 0.5,
- fixed doc patch,
- updated %%file section.

* Fri Mar 18 2011 lisu <lisu@pld-linux.org> 2299661
- rel 2 (new podofo)

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> b4112dc
- enabled cairo bcond -- won't build without it
- BR: QtCore-devel, QtGui-devel, QtNetwork-devel, QtXml-devel, qt4-build,
  qt4-linguist, qt4-qmake
- dropped unused BR: perl-base, qt-devel

* Fri Dec 03 2010 lisu <lisu@pld-linux.org> ad35f33
- comment out cs not ca translation

* Fri Dec 03 2010 lisu <lisu@pld-linux.org> a4e72ed
- start update to 1.3.9
- drop cmake options provided by cmake macro, BR: rpmbuild(macros) >= 1.577
- use rm macros, drop unneeded rms
- docs and some translations missing (TODO)

* Wed Nov 10 2010 lisu <lisu@pld-linux.org> 459a425
- unified sourceforge URL

* Mon Nov 01 2010 pawelz <pawelz@pld-linux.org> 06654f5
- rel 4 (rebuild against podofo 0.8.4)

* Fri Oct 22 2010 lisu <lisu@pld-linux.org> 89223db
- rel 3, rebuild with new podofo

* Mon Sep 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 69f9728
- release 2

* Mon Aug 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c6cf34
- up to 1.3.8

* Mon Aug 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f17ea21
- release 7

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5293475
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 70e73f9
- release 5

* Fri Feb 05 2010 amateja <amateja@pld-linux.org> 612c06c
- release 4

